# Markdown Academic

This is a bash script which helps convert markdown files into properly formatted Word files for academics. It is a work in progress.

## Workflow

The script needs three things:

**1) Citation styles**

You will need to download [citation-styles](https://github.com/citation-style-language/styles), and specify the one you want to use in the command line switches.

**2) A Reference Library**

For the converter to know what works you are citing, you will need a .bib library file with the citations. I recommend using Zotero and [BetterBiBTeX](https://retorque.re/zotero-better-bibtex/) to keep track of your books and articles and what not. The extension should autoupdating your citations with unique keys that way.

**3) A Template file**

Finally, you will need a template file, so markdownacademic will know what your document should look like - what the margins and fonts are, etc. You can often download a template .docx file from the website of the journal you're writing for. A sample `template.docx` is included.

## Why should I do this?
  * Uses little memory, you can write text files comfortably on a computer from 1984
  * Don't need Word to write a proper .docx that can be submitted to a journal
  * Original document is a regular text file, will never suffer planned obsolescence
  * Track your changes and collaborate using Git
  * Quickly change the formatting of your output document
  * Quickly change citation style into any style you want

*TODO* Explain this section better
*TODO* Vim tips and tricks

## Installation
Put the script in your executable directory or run it from wherever you clone this repository.

### Dependencies
```
bash
pandoc
```

## Usage

You can print usage by running ``markdownacademic -h``
```
Usage: markdownacademic -bctih

-b,            --bibliography=<filename>         Set your BibTex file here
-c,            --citationstyle=<filename>        Set CSL style 
-t,            --template=<filename>             Set template file (.docx) 
-i,            --input=<filename>                Select markdown file as input
-h,            --help                            Display this help message

Unless specified, output file has the same name as the input file.
```


